#include	<sys/types.h>
#include	"config.h"
#if defined(sun4) || defined(__NeXT__) || defined(BSD)
# define STATFS
# include       <sys/vfs.h>
#endif
#if defined(SYSV) || defined(SVR3)
# define USTAT
# include       <ustat.h>
#endif

#ifdef STATFS
long
freespace(path)
char	*path;
{
	struct	statfs	sfs;

	if (statfs(path,&sfs)) return(-1);
	return(sfs.f_bavail * sfs.f_bsize);
}
#else /* USTAT */
long
freespace(path)
char	*path;
{
	struct	stat	st;
	struct	ustat	ust;

	if (stat(path,&st)) return(-1);
	if (ustat(st.st_dev,&ust)) return(-2);
	return(ust.f_tfree * BBSIZE);
}
#endif
